Summary:        Provide compiled List::MoreUtils functions
Name:           perl-List-MoreUtils-XS
Version:        0.430
Release:        8%{?dist}
License:        (GPL+ or Artistic) and ASL 2.0
URL:            https://metacpan.org/release/List-MoreUtils-XS
Source0:        https://cpan.metacpan.org/modules/by-module/List/List-MoreUtils-XS-%{version}.tar.gz

BuildRequires:  coreutils, findutils, perl-devel
BuildRequires:  perl-generators, gcc, make, perl-interpreter, perl(Exporter)
BuildRequires:  perl(Capture::Tiny), perl(Config::AutoConf) >= 0.315
BuildRequires:  perl(ExtUtils::CBuilder), perl(base), perl(strict), perl(vars)
BuildRequires:  perl(warnings), perl(XSLoader) >= 0.22, perl(JSON::PP)
BuildRequires:  perl(List::Util), perl(Math::Trig), perl(overload), perl(POSIX)
BuildRequires:  perl(Test::Builder::Module), perl(Test::More) >= 0.96
BuildRequires:  perl(Storable), perl(Tie::Array)

%{?perl_default_filter}

%description
List::MoreUtils::XS is a backend for List::MoreUtils. Even if it's
possible (because of user wishes) to have it practically independent
from List::MoreUtils, it technically depend on List::MoreUtils. Since
it's only a backend, the API is not public and can change without any
warning.

%prep
%autosetup -n List-MoreUtils-XS-%{version}


%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}" NO_PERLLOCAL=1 NO_PACKLIST=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license ARTISTIC-1.0 GPL-1 LICENSE
%doc Changes MAINTAINER.md README.md
%{perl_vendorarch}/*
%{_mandir}/man3/*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.430-8
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 30 2024 Xiaojie Chen <jackxjchen@tencent.com> - 0.430-7
- Remove BR perl(Test::LeakTrace)

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.430-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.430-5
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.430-4
- Remove perl-libs which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.430-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.430-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Aug 11 2022 cunshunxia <cunshunxia@tencent.com> - 0.430-1
- initial build
